## e-soup-logger

e-soup-logger

## Functions

GInputStream * | e_soup_logger_attach ()

## Description

## Functions

### e_soup_logger_attach ()

    GInputStream *
    e_soup_logger_attach (SoupMessage *message,
                          GInputStream *input_stream);

Remembers what had been read from the `input_stream` and prints it to stdout when the `message` is finished. The function assumes ownership of the `input_stream` .

#### Parameters

message | a SoupMessage |
input_stream | a GInputStream, associated with the `message` . | [transfer full]

#### Returns

a new input stream, to be used instead of the `input_stream` . It should be freed with `g_object_unref()`, when no longer needed.

[transfer full]

Since: 3.38